using System;
using System.Collections.Generic;
using System.Text;

using Koossery.MVCwin.ControllerManager.impl;
using Koossery.MVCwin.ControllerManager.itf;

namespace Koossery.MVCwin.Actions.itf
{
	/// <author>Mohamadou Yacoubou</author>
	/// <summary>
	/// Response object of an action execution.
	/// </summary>
	public interface IActionResult
	{
		#region Methods

		/// <summary>
		/// Execute the action result
		/// </summary>
		/// <param name="manager">The controller manager</param>
		void ExecuteResult(IControllerManager manager);

		#endregion Methods
	}
}