using System;
using System.Collections.Generic;
using System.Text;

namespace Koossery.MVCwin.Data
{
    /// <author>Mohamadou Yacoubou</author>
    /// <summary>
    /// Base class that allow all front end data to be cloneable
    /// </summary>
    public abstract class CloneableBase : ICloneable
    {
        #region ICloneable Membres

        public object Clone()
        {
            return this.MemberwiseClone();
        }

        #endregion
    }
}
